package org.springblade.modules.cdglinfos.mapper;


import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.modules.cdglinfos.entity.GlInfoEntity;
import org.springblade.modules.cdglinfos.vo.GlInfoVO;

import java.util.List;

public interface GlInfoMapper  extends BaseMapper<GlInfoEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page
	 * @param glinfo
	 * @return
	 */
	List<GlInfoVO> selectGlInfoPage(IPage page, GlInfoVO glinfo);

	List<GlInfoEntity> getAppByUserRole(String ancestors, String userRole);

}

